Name:       libmedia-service
Summary:    Media information service library for multimedia applications
Version: 0.4.3
Release:    0
Group:      Multimedia/Libraries
License:    Apache-2.0 and PD
Source0:    %{name}-%{version}.tar.gz
Source1001: 	libmedia-service.manifest

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires:  cmake
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(mm-fileinfo)
BuildRequires:  pkgconfig(libmedia-utils)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(libtzplatform-config)
BuildRequires:  pkgconfig(capi-system-info)
BuildRequires: pkgconfig(mmutil-magick)
%if 0%{?gtests:1}
BuildRequires:  pkgconfig(gmock)
%endif

%description
This package is a library that provides the media information service for the multimedia applications.

%package devel
Summary:    Media information service library for multimedia applications. (development)
Group:      Multimedia/Development
Requires:   %{name} = %{version}-%{release}

%description devel
This package is a library that provides the media information service for the multimedia applications. (Development files included)

%prep
%setup -q
cp %{SOURCE1001} .

%build
export CFLAGS="$CFLAGS -DTIZEN_DEBUG_ENABLE -DSYSCONFDIR=\\\"%{_sysconfdir}\\\""
%cmake . -DBUILD_GTESTS=%{?gtests:1}%{!?gtests:0}
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/libmedia-service.so.*
%{_libdir}/libmedia-svc-hash.so.*
%{_libdir}/libmedia-content-plugin.so
%{_libdir}/libmedia-content-plugin.so.*
%if 0%{?gtests:1}
%{_bindir}/gtest*
%endif
#License
%license LICENSE.APLv2.0

%files devel
%manifest %{name}.manifest
%{_libdir}/libmedia-service.so
%{_libdir}/libmedia-svc-hash.so
%{_libdir}/pkgconfig/libmedia-service.pc
%{_includedir}/media-service/*.h
